TON DocsTON Docs
OnboardingNodesApplicationsAPIsContractsSmart contractsTolkTolk languageTVMTON Virtual MachineFoundationsBlockchain foundations

Get validator cycles

GET
/api/v3/validators/cycles

min_stake and max_stake are the true stake bounds for selected validators. min_stake_limit and max_stake_limit are the config17 election limits. When the response includes validators, max_factor is the participant's raw declared factor (65536 = 1.0). The effective factor used to derive stake is the smaller of max_factor and max_stake_factor.

Authorization

X-API-Key<token>

API key header of the form X-API-Key: <token>, where <token> is the API key. Requests without a key are limited to 1 RPS. Refer to the authentication guide for details.

In: header

Query Parameters

cycle_start?integer

Validator cycle start time.

election_id?integer

Elector election ID that produced the cycle.

stake_holder_address?string

Stakeholder address in any form.

adnl_address?string

ADNL address in hex, base64, or base64url form.

validator_pubkey?string

Validator public key in hex, base64, or base64url form.

return_validators?boolean

Return validators in the set. If stake_holder_address, adnl_address, or validator_pubkey is specified, return only matching validators.

start_utime?integer

Query cycles with cycle_start at or after the specified timestamp.

end_utime?integer

Query cycles with cycle_start at or before the specified timestamp.

limit?integer

Limit the number of rows to return. At most 100 when return_validators is true.

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/api/v3/validators/cycles"
{
  "address_book": {
    "property1": {
      "domain": "string",
      "interfaces": [
        "string"
      ],
      "user_friendly": "string"
    },
    "property2": {
      "domain": "string",
      "interfaces": [
        "string"
      ],
      "user_friendly": "string"
    }
  },
  "cycles": [
    {
      "cycle_end": 0,
      "cycle_start": 0,
      "election_id": 0,
      "elections_end_before": 0,
      "elections_start_before": 0,
      "main": 0,
      "max_main_validators": 0,
      "max_stake": "string",
      "max_stake_factor": 0,
      "max_stake_limit": "string",
      "max_validators": 0,
      "min_stake": "string",
      "min_stake_limit": "string",
      "min_total_stake": "string",
      "min_validators": 0,
      "stake_held_for": 0,
      "total": 0,
      "total_stake": "string",
      "total_weight": "string",
      "validators": [
        {
          "adnl_addr": "string",
          "complaints": [
            {
              "adnl_addr": "string",
              "approved_percent": 0,
              "complaint_hash": "PJI18TRG8OZhVPZNN7epvMb25yZivlGQvVj9LC8omOg=",
              "created_at": 0,
              "cycle_start": 0,
              "description_boc": "string",
              "election_id": 0,
              "is_passed": true,
              "paid": "string",
              "reward_address": "string",
              "severity": 0,
              "stake_holder_address": "string",
              "suggested_fine": "string",
              "suggested_fine_part": 0,
              "validator_pubkey": "string",
              "voted_validators": [
                {
                  "adnl_addr": "string",
                  "validator_index": 0,
                  "validator_pubkey": "string",
                  "weight": "string"
                }
              ],
              "vset_id": "REenLSr+rc8TCU/oc7Hcwburz3bMdA+DJzGA1PAHSes=",
              "weight_remaining": "0"
            }
          ],
          "max_factor": 0,
          "stake": "string",
          "stake_holder_address": "string",
          "validator_index": 0,
          "validator_pubkey": "string",
          "weight": "string"
        }
      ],
      "validators_elected_for": 0
    }
  ]
}
{
  "error": "string"
}
{
  "error": "string"
}